# loadsave.h File Reference

## Data Structures
struct | T_Format
## Functions
void | Pixel_Chargement_dans_ecran_courant (word Pos_X, word Pos_Y, byte Couleur)
void | Pixel_Chargement_dans_preview (word Pos_X, word Pos_Y, byte Couleur)
void | Pixel_Chargement_dans_brosse (word Pos_X, word Pos_Y, byte Couleur)
void | Nom_fichier_complet (char *Nom_du_fichier, byte Sauve_Colorix)
void | Charger_image (byte Image)
void | Sauver_image (byte Image)
void | Image_emergency_backup (void)
## Variables
T_Format | FormatFichier [NB_FORMATS_CONNUS]

## Function Documentation

void Pixel_Chargement_dans_ecran_courant | ( | word | Pos_X,
|  | word | Pos_Y,
|  | byte | Couleur |
| ) |  |  |

References Pixel_dans_ecran_courant(), Principal_Hauteur_image, and Principal_Largeur_image.

Referenced by Bouton_Load_ou_Save(), Charger_image(), Initialisation_du_programme(), Initialiser_preview(), Initialiser_preview_24b(), and Load_picture().

void Pixel_Chargement_dans_preview | ( | word | Pos_X,
|  | word | Pos_Y,
|  | byte | Couleur |
| ) |  |  |

References Pixel, Preview_Facteur_X, Preview_Facteur_Y, Preview_Pos_X, Preview_Pos_Y, Principal_Hauteur_image, and Principal_Largeur_image.

Referenced by Bouton_Load_ou_Save(), Charger_image(), Dessiner_preview_palette(), Initialiser_preview(), Initialiser_preview_24b(), and Remapper_fileselect().

void Pixel_Chargement_dans_brosse | ( | word | Pos_X,
|  | word | Pos_Y,
|  | byte | Couleur |
| ) |  |  |

References Brosse_Hauteur, Brosse_Largeur, and Pixel_dans_brosse().

Referenced by Load_picture().

void Nom_fichier_complet | ( | char * | Nom_du_fichier,
|  | byte | Sauve_Colorix |
| ) |  |  |

References Principal_Largeur_image, Principal_Nom_fichier, Principal_Repertoire_fichier, and SEPARATEUR_CHEMIN.

Referenced by Backup_du_fichier_sauvegarde(), Bouton_Autosave(), Bouton_Quitter_Routine_locale(), for_each_file(), Load_BMP(), Load_CEL(), Load_GIF(), Load_IMG(), Load_KCF(), Load_LBM(), Load_PAL(), Load_PC1(), Load_PCX(), Load_PI1(), Load_PKM(), Load_PNG(), Load_SCx(), Save_BMP(), Save_CEL(), Save_GIF(), Save_IMG(), Save_KCF(), Save_LBM(), Save_PAL(), Save_PC1(), Save_PCX(), Save_PI1(), Save_PKM(), Save_PNG(), Save_SCx(), Test_BMP(), Test_CEL(), Test_GIF(), Test_IMG(), Test_KCF(), Test_LBM(), Test_PAL(), Test_PC1(), Test_PCX(), Test_PI1(), Test_PKM(), Test_PNG(), and Test_SCx().

void Charger_image | ( | byte | Image | ) |

References Brosse, Brosse_Hauteur, Brosse_Largeur, Buffer_image_24b, Convert_bitmap_24B_to_256(), Download_infos_page_principal(), Erreur, Erreur_fichier, Image_24b, T_Format::Load, NB_FORMATS_LOAD, S_Liste_de_pages::Pages, Pixel_Chargement_dans_ecran_courant(), Pixel_Chargement_dans_preview(), Pixel_de_chargement, PIXEL_SIMPLE, Principal_Backups, Principal_Ecran, Principal_Format, Principal_Format_fichier, Principal_Hauteur_image, Principal_Image_modifiee, Principal_Largeur_image, Principal_Palette, Ratio_image_chargee, and T_Format::Test.

Referenced by Bouton_Load_ou_Save(), Bouton_Reload(), and Load_picture().

void Sauver_image | ( | byte | Image | ) |

References Erreur, Erreur_fichier, Lit_pixel_dans_brosse(), Lit_pixel_dans_ecran_courant(), Lit_pixel_de_sauvegarde, Principal_Format_fichier, Principal_Image_modifiee, and T_Format::Save.

Referenced by Bouton_Autosave(), Bouton_Quitter_Routine_locale(), and Save_picture().

void Image_emergency_backup | ( | void |  | ) |

References Brouillon_Ecran, Brouillon_Hauteur_image, Brouillon_Largeur_image, Brouillon_Palette, Emergency_backup(), Principal_Ecran, Principal_Hauteur_image, Principal_Largeur_image, and Principal_Palette.

## Variable Documentation

T_Format FormatFichier[NB_FORMATS_CONNUS]

Referenced by Bouton_Load_ou_Save(), Lire_liste_des_fichiers(), Load_picture(), and Save_picture().